com.streambase.liveview.server.table.plugin

## Enum TableProviderStatus

- java.lang.Object
- - java.lang.Enum<TableProviderStatus>
  - - com.streambase.liveview.server.table.plugin.TableProviderStatus

- All Implemented Interfaces:
    Serializable, Comparable<TableProviderStatus>

      public enum TableProviderStatus
      extends Enum<TableProviderStatus>

  Constants representing different status of a TableProvider.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTRUCTED`
    `INITIALIZED`
    `NEEDS_RESTART`
    `RUNNING`
    `SHUTTING_DOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableProviderStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TableProviderStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONSTRUCTED

          public static final TableProviderStatus CONSTRUCTED

    - #### INITIALIZED

          public static final TableProviderStatus INITIALIZED

    - #### RUNNING

          public static final TableProviderStatus RUNNING

    - #### SHUTTING_DOWN

          public static final TableProviderStatus SHUTTING_DOWN

    - #### NEEDS_RESTART

          public static final TableProviderStatus NEEDS_RESTART

  - ### Method Detail

    - #### values

          public static TableProviderStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableProviderStatus c : TableProviderStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableProviderStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.